#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	syslinux
Version		:	6.04
Release		:	14.8.0.0%{?dist}
Summary		:	Simple kernel loader which boots from a FAT filesystem
Group		:	Applications/System

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPLv2+
URL		:	https://www.kernel.org/pub/linux/utils/boot/syslinux/

Source0		:	%{name}-%{version}-pre1.tar.gz
Patch0		:	%{name}-%{version}-pre1-ext4-64bit-feature.patch
Patch1		:	%{name}-%{version}-pre1-multiple-definition-of-symbol-errors.patch
Patch2		:	%{name}-%{version}-pre1-include-sysmacros-h.patch
Patch3		:	%{name}-%{version}-pre1-fix-build-with-glibc-2.36.patch

#-----------------------------------------------------------------------------
BuildRequires	:	gcc
BuildRequires	:	make
BuildRequires	:	mtools
BuildRequires	:	nasm
BuildRequires	:	perl
#-----------------------------------------------------------------------------
%description
SYSLINUX is a suite of bootloaders, currently supporting DOS FAT
filesystems, Linux ext2/ext3 filesystems (EXTLINUX), PXE network boots
(PXELINUX), or ISO 9660 CD-ROMs (ISOLINUX).

#-----------------------------------------------------------------------------
%files			
%defattr(-, root,root, -)

%doc COPYING NEWS README doc/*
%doc sample

%{_sysconfdir}/extlinux.conf
/sbin/extlinux
%{_bindir}/*
%{_mandir}/man1/*.1.gz
%{_datadir}/%{name}/*.com
%{_datadir}/%{name}/*.exe
%{_datadir}/%{name}/*.c32
%{_datadir}/%{name}/*.bin
%{_datadir}/%{name}/*.0
%{_datadir}/%{name}/memdisk
%{_datadir}/%{name}/dosutil/*
%{_datadir}/%{name}/diag/*
%{_datadir}/%{name}/com32/*
%{_datadir}/%{name}/efi{32,64}/*.c32
%{_datadir}/%{name}/efi{32,64}/ldlinux.e{32,64}
%{_datadir}/%{name}/efi{32,64}/syslinux.efi

#-----------------------------------------------------------------------------
%prep
%setup -q -n %{name}-%{version}-pre1
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

#-----------------------------------------------------------------------------
#building application
%build

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make}						\
	%{_smp_mflags}					\
	clean

%{__make}						\
	%{_smp_mflags}					\
	installer

%{__make}						\
	MAKEDIR="`pwd`/mk"				\
	-C sample					\
	tidy

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

make							\
	INSTALLROOT=%{buildroot}			\
	BINDIR=%{_bindir}				\
	SBINDIR=/sbin					\
	LIBDIR=%{_libdir}				\
	DATADIR=%{_datadir}				\
	MANDIR=%{_mandir}				\
	INCDIR=%{_includedir}				\
	TFTPBOOT=/tftpboot				\
	EXTLINUXDIR=/boot/extlinux			\
	install						\

%{__make}						\
	MAKEDIR="`pwd`/mk"				\
	-C sample					\
	tidy

%{__mkdir_p} %{buildroot}%{_sysconfdir}
(
cd %{buildroot}%{_sysconfdir} 
%{__ln_s} ../boot/extlinux/extlinux.conf . 
)

#-----------------------------------------------------------------------------
%changelog
